* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    scroll-behavior: smooth;
}


section {
    padding: 100px 200px;
}

.main {
    position: relative;
    width: 100%;
    min-height: 100vh;
    display: flex;
    align-items: center;
    background: url("Images/Bckg.JPG") center fixed;
    background-size: cover;
}

.main .content {
    max-width: 800px;
    padding-left: 15px;
}

.main .content h2 {
    color: #fff;
    font-size: 1.8em;
    font-weight: 500;
}

.main .content h2 span {
    font-size: 2.2em;
    font-weight: 600;
}

.animated-text {
    position: relative;
    height: 70px;
    overflow: hidden;
}

.animated-text h3 {
    color: #4e9eff;
    font-size: 2.7em;
    font-weight: 700;
    line-height: 70px;
    letter-spacing: 1px;
}

.animated-text h3:nth-child(1) {
    animation: text-move 10s infinite;
}

@keyframes text-move {
    0% {
        margin-top: 0;
    }
    25% {
        margin-top: -70px;
    }
    50% {
        margin-top: -140px;
    }
    75% {
        margin-top: -70px;
    }
    100% {
        margin-top: 0;
    }
}

.main-logo{
    width: 18%;
    margin-top: -10px;

}

/*.btn {*/
/*    color: #fff;*/
/*    background: #3a6cf4;*/
/*    font-size: 1em;*/
/*    font-weight: 600;*/
/*    display: inline-block;*/
/*    text-transform: uppercase;*/
/*    padding: 10px 20px;*/
/*    text-decoration: none;*/
/*    letter-spacing: 1px;*/
/*    border-radius: 4px;*/
/*    transition: 0.5s ease;*/
/*}*/

/*.btn:hover {*/
/*    background: #1c3bb9;*/
/*}*/

.media-icons {
    margin-top: 50px;
}

.media-icons a {
    color: #fff;
    font-size: 25px;
    margin-right: 30px;
}

header {
    z-index: 999;
    position: fixed;
    background: rgba(255, 255, 255, 0.1);
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 15px 200px;
    align-items: center;
    transition: 0.5s ease;
}

header.sticky {
    background: #3a6cf4;
    padding: 10px 200px;
}

h1 {
    color: #fff;
    font-size: 1.8em;
    text-transform: uppercase;
    text-decoration: none;
    font-weight: 700;
}

header .navigation {
    position: relative;
}

header .navigation a {
    font-size: 1em;
    text-decoration: none;
    margin-left: 30px;
    color: #fff;
    font-weight: 500;
}

header .navigation a:hover {
    color: #3a6cf4;
}

header.sticky .navigation a:hover {
    color: #000;

}

body {
    min-height: 110vh;
}

.title {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.section-title {
    position: relative;
    color: #3a6cf4;
    font-size: 2.2em;
    font-weight: 800;
    margin-bottom: 60px;
}

.section-title:before {
    content: '';
    position: absolute;
    top: 56px;
    left: 50%;
    width: 140px;
    height: 4px;
    background: #3a6cf4;
    transform: translateX(-50%);
}

.section-title:after {
    content: '';
    position: absolute;
    top: 50px;
    left: 50%;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    background: #3a6cf4;
    transform: translateX(-50%);
}

.about .content {
    position: relative;
    width: 100%;
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
}

.about .content .col-left {
    position: relative;
    width: 45%;
}

.about .content .col-right {
    position: relative;
    width: 50%;
}

.about .content .col-left .image-card {
    position: relative;
    width: 100%;
    min-height: 450px;
}

.about .content .col-left .image-card img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}

.about .content .col-right .content-title {
    font-size: 2em;
    font-weight: 800;
    margin-bottom: 20px;
}

.about .content .col-right .paragraph-text {
    font-size: 0.9em;
}

.skills {
    background: #000016;
}

.skills .content {
    position: relative;
    width: 100%;
    display: flex;
    justify-content: space-between;
    color: #fff;
    margin-top: 30px;

}

.skills .content .col-left h2 {
    color: #e85e5e;
    font-size: 22px;
    letter-spacing: 1.4px;
}

.skills .content .col-left ul {
    list-style-type: none;
    padding-top: 35px;
}

.skills .content .col-left ul li {
    padding-bottom: 8px;
    font-size: 14px;
}

.skills .content .col-left ul li:last-child {
    padding-bottom: 35px;
}

.skills .content .col-left,
.skills .content .col-right {
    position: relative;
    width: 46%;
}

.skills .content .col-right .bar {
    margin-bottom: 10px;
    padding: 5px;
}

.skills .content .col-right .bar .info {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 5px;
}

.skills .content .col-right .bar .info span {
    font-size: 18px;
    font-weight: 500;
}

.skills .content .col-right .bar .line {
    position: relative;
    width: 100%;
    height: 15px;
    background: #ccc;
    border-radius: 2px;
}

.skills .content .col-right .bar .line:before {
    content: '';
    left: 0;
    top: 0;
    position: absolute;
    height: 100%;
    border-radius: 2px;
}

.skills .content .col-right .bar .html:before {
    width: 100%;
    background: #e45126;
}

.skills .content .col-right .bar .css:before {
    width: 100%;
    background: #e45126;
}

.skills .content .col-right .bar .javascript:before {
    width: 70%;
    background: #e3a324;
}

.skills .content .col-right .bar .gulp:before {
    width: 70%;
    background: #e3a324;
}

.skills .content .col-right .bar .responsive:before {
    width: 90%;
    background: #0c73b8;
}

.skills .content .col-right .bar .figma:before {
    width: 100%;
    background: #e45126;
}

.skills .content .col-right .bar .scss:before {
    width: 100%;
    background: #e45126;
}

.education .content .card {
    display: flex;
    flex-direction: column;
    padding-bottom: 25px;
}


.education .content .card .card-caption {
    font-size: 22px;
    font-weight: 800;
    margin-left: 15px;
}

.fa-book::before{
    font-size: 28px;
}

.block{
    display: flex;
}


.card-title {
    font-size: 16px;
    font-weight: 600;
    margin: 10px 40px;
    color: blue;
}

.education .content .card .card-text {
    color: #e3a324;
    margin: 0 50px;
    font-size: 13px;
}

.code-example{
    background: #000016;
    overflow: auto;
    padding-top: 85px;
}

.code-example-number{
    font-size: 26px;
    color: #0c73b8;
    margin-bottom: 10px;
    font-weight: 700;
}

.code-example-task{
    font-size: 13px;
    color: white;
}

.code-example img{
    margin-top: 15px;
    width: 73%;

}

.project {
    background: #000016;
}

.project .content {
    display: flex;
    justify-content: center;
    flex-direction: row;
    flex-wrap: wrap;
    margin-top: 20px;
    margin-bottom: 120px;
}

.project .content .card {
    width: 340px;
    margin: 15px;
}

.project .content .card .card-img {
    position: relative;
    width: 100%;
    height: 260px;
    overflow: hidden;
    border-radius: 10px;
}

.project .content .card .card-img img {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
    transition: 0.5s ease;
}

.project .content .card .card-img img:hover {
    transform: scale(1.2);
    transition: 1.2s ease;
}

.contact{
    padding-top: 75px;
}

.contact .content {
    display: flex;
    justify-content: center;
    flex-direction: column;
    flex-wrap: wrap;
    margin-top: -30px;
}

.contact .content .row {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    flex-direction: row;
}

.contact .content .row .card {
    width: 220px;
    background: #fff;
    display: flex;
    justify-content: flex-start;
    margin: 15px 30px;
    padding: 10px;
    flex-direction: column;
    align-items: center;
    box-shadow: 0 5px 25px rgba(1 1 1 / 15%);
    border-radius: 10px;
}

.contact .content .row .card .contact-icon {
    color: #3a6cf4;
    font-size: 3.5em;
    text-align: center;
    transition: transform 0.5s ease;
}

.contact .content .row .card:hover .contact-icon {
    transform: translateY(-10px);
}

.contact .content .row .card .info {
    text-align: center;
}

.contact .content .row .card .info span {
    font-size: 15px;
    color: #666;
    font-weight: 500;
}

.contact .content .row .card .info h3 {
    color: #111;
    font-size: 1.2em;
    font-weight: 700;
    margin: 10px;
}

footer{
    display: flex;
    justify-content: space-between;
    text-align: end;
}

@media (max-width: 1040px) {
    header {
        padding: 12px 20px;
    }

    header.sticky {
        padding: 12px 20px;
    }

    header .navigation {
        display: none;
    }

    .navigation.active{
        display: block;
    }

    .navigation.none{
        display: none;
    }

    .header__burger.active{
        filter: invert(1);
        z-index: 999;
        transition: 0.3s ease;
    }

    .header__burger {
        display: block;

        /*background-color: #000000;*/
        width: 44px;
        height: 37px;
        position: absolute;
        right: 28px;
        top: 13px;
        text-transform: uppercase;
        cursor: pointer;
        z-index: 5;
    }
    .header__burger span,
    .header__burger::before,
    .header__burger::after {
        background-color: white;
        transition: all 0.3s ease 0s;
        width: 19px;
        height: 2px;
        position: absolute;
    }
    .header__burger::before,
    .header__burger::after {
        content: '';
    }
    .header__burger::before {
        top: 12px;
        right: 14px;
    }
    .header__burger::after {
        bottom: 12px;
        right: 14px;
    }
    .header__burger span {
        right: 14px;
        bottom: 18px;
        transform: scale(1);
        transition: all 0.3s ease 0s;
    }

    .header__burger.active span {
        transform: scale(0)
    }

    .header__burger.active::after {
        transform: rotate(45deg);
        bottom: 16px;
        width: 23px;
        height: 3px;
    }

    .header__burger.active::before {
        transform: rotate(-45deg);
        top: 18px;
        width: 24px;
        height: 3px;
    }

    header .navigation.active{
        z-index: 888;
        position: fixed;
        background: #fff;
        top: 0;
        right: 0;
        width: 380px;
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        box-shadow: 0 5px 25px rgba(1 1 1 / 15%);
        transition: 0.3s ease;
    }

    header .navigation a{
        color: #000;
        font-size: 1.3em;
        margin: 11px;
        padding: 0 20px;
        border-radius: 20px;
    }

    header .navigation a:hover{
        color: #fff;
        background: #3a6cf4;
        transition: 0.3s ease;
    }

    section{
        padding: 80px 20px;
    }

    .main .content h2{
        font-size: 1em;
    }

    .main{
        background-size: inherit;
        padding-left: 15px;
    }

    .animated-text h3{
        font-size: 1.5em;
    }

    .section-title{
        font-size: 2em;
    }

    .about .content{
        flex-direction: column;
    }

    .about .content .column{
        position: relative;
        width: 100%;
    }


    .about .content .col-right{
        margin-top: 40px;
    }

    .skills .content{
        flex-direction: column;
    }

    .skills .content.column{
        position: relative;
        width: 100%;
    }

    .skills .content .col-left{
        width: 65%;
    }

    .skills .content .col-right{
        margin-top: 40px;
        width: 100%;
    }

    .scrollToTop-btn{
        z-index: 999;
        position: fixed;
        background: #3a6cf4;
        color: #fff;
        width: 45px;
        height: 45px;
        right: 0;
        bottom: 10px;
        font-size: 22px;
        text-align: center;
        line-height: 45px;
        cursor: pointer;
        border-radius: 3px;
        pointer-events: none;
        opacity: 0;
        transition: all 0.3s ease;
    }

    .scrollToTop-btn.active{
        right: 20px;
        opacity: 1;
        pointer-events: auto;

    }
}





